//
//  LocalConnect.m
//  HousingApiLibrary
//
//  Created by sanaeg on 2015/01/16.
//  Copyright (c) 2015年 DaiwaHouse. All rights reserved.
//

#import "HousingApiHelper.h"
#import "HousingApi.h"
#import "LocalXmlPaeserDelegate.h"

NSString* const urlFormat = @"http://%@:%@%@";

@implementation HousingApiHelper

// HTTPリクエストの送信
- (LocalResponse*)sendCommand: (NSString*)ipAddress port:(NSString*)portNo command:(NSString*)command timeoutInterval:(NSTimeInterval)timeoutInterval
{
    LocalResponse* localResponse = [[LocalResponse alloc] init];
    
    @try
    {
        NSString* pstrUrlString = [NSString stringWithFormat:urlFormat, ipAddress, portNo, command];
        
        // リクエスト
        NSURLRequest* pUrlRequest = [NSURLRequest requestWithURL: [NSURL URLWithString:pstrUrlString]
                                                     cachePolicy: NSURLRequestReloadIgnoringLocalCacheData
                                                 timeoutInterval: timeoutInterval];
        
        // XMLデータを取得
        NSData* pXmlData = nil;
        if (nil != pUrlRequest)
        {
            pXmlData = [NSURLConnection sendSynchronousRequest: pUrlRequest returningResponse: nil error: nil];
        }
        
        if (nil != pXmlData)
        {
            // NSXMLParserオブジェクト生成
            NSXMLParser* pXMLParser = [[NSXMLParser alloc]initWithData: pXmlData];
            // XML解析のデリゲート生成
            LocalXmlPaeserDelegate* delegate = [[LocalXmlPaeserDelegate alloc] init];
            [pXMLParser setDelegate: delegate];
            [pXMLParser parse];
        }
    }
    @catch (NSException * e)
    {
    }
    
    return localResponse;
}

@end
